Subject: Re: Cutting history

From: Chris Frey <[email-masked]>
Date: Sat, 10 Jul 2010 02:43:04 -0400

On Fri, Jul 09, 2010 at 10:08:46PM -0600, Joshua Jensen wrote:
> Your post reminded me of this: http://progit.org/2010/03/17/replace.html

Wow.  This is what I get for not following git development more closely. :-)

Doesn't this open a potential security problem?  Suppose you want to pull
from another developer's repo, and he's replaced some of the history
in your own tree.  According to the above article, it is possible to
share replacements, presumably like any other ref.

Is it possible to have your own branch history "replaced" by fetching
someone else's repo into a remote branch?

- Chris